View Issue Details

IDProjectCategoryView StatusLast Update
0002132Industrial-Craft²crossmod-compatibility / submodules / APIpublic2017-03-13 07:04
ReporterdshadowwolfAssigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002132: When the BaseMetals IC2 integration plugin is active with Thermal Expansion available, the game crashes
DescriptionA few days ago a tester of both BaseMetals and Thermal Expansion updated his test pack and encountered a crash. This crash was not possible to reproduce without IC2 installed or the BaseMetals IC2 integration deactivated.

It appears to happen because of the casing and/or dense plate items that BaseMetals adds for the materials it provides when IC2 support is active. The crash happens in the ThermalExpansion Furnace Recipe system, with a BaseMetals "powder" not being detected as being equal to another instance of the same item.

Steps To ReproduceInstall Thermal Expansion (and Thermal Foundation and CoFHCore to support it)
Install a new BaseMetals (at least 2.5.0-beta1.53, though -beta1.54 has several bugs fixed) from http://maven.mcmoddev.com
Install IC2 Experimental (might also happen with Classic, but this has not been tested)
Start Minecraft

(Minecraft 1.10.2, Forge 12.18.3.2185)
Additional InformationWhen BaseMetals IC2 integration is turned off in the configs, this issue does not occur. As all the integration does, at this point, is the addition of casings and dense plates, this seems to be the root cause of the issue.

Question: Does IC2 register furnace recipes for powders/ores of materials related by OreDictionary name to the casings/dense plates ? This seems like a potential source of the issue, though the extensive checks for bad behavior and multiple registrations in the Thermal Expansion code seem to be strong enough to catch an issue like that.

Other than that... I would like to open communications to see about a mutual solution that sees BaseMetals properly integration with IC2 and those of us on the dev team having good relations with the IC2 dev team.
TagsNo tags attached.
Minecraft Version1.10.2

Activities

Chocohead

2017-03-12 01:35

developer   ~0005095

I just tried with the latest version of IC2 TE + deps and BaseMetals and everything loaded fine, so there's a decent chance it's already been fixed.

Morpheus1101

2017-03-12 09:23

reporter   ~0005096

Last edited: 2017-03-12 09:27

View 2 revisions

Re-Tested this issue since I initally reported it to Dshadow and using industrialcraft-2-2.6.173-ex110 with BaseMetals and thermal stuff etc the issue still persisted. MC Forge was vers *.2254

Full crash details @ https://puu.sh/uFgpU/2acc1351dd.log

dshadowwolf

2017-03-12 13:37

reporter   ~0005099

Have tested with most recent IC2 I could find on the IC2 Maven (2.6.173-ex110), upgrades to more recent BaseMetals and ModernMetals (BaseMetals 2.5.0-beta1.57, ModernMetals 2.5.0-beta1.19) and Forge updated to 12.18.3.2254.

The error no longer occurs with the limited mod-set that was capable of reproducing it before. If this is still occurring for Morph with the updates, then it is possible that there is a further issue happening from another mod entirely.

Chocohead

2017-03-12 14:19

developer   ~0005100

It must be a cross-mod bug with more mods because testing them alone doesn't break things. The crash itself appears to be from TE finding the ore ID for one of the stacks but failing for the other and using a fallback hash that uses the item ID and meta. It could be related to load order, or the order of the ore dictionary changing while it's generating furnace stacks. Either way it doesn't look like IC2 is doing something that would cause it.

dshadowwolf

2017-03-13 07:04

reporter   ~0005102

It was triggering with the IC2 addition thanks to a load-order issue.

IC2 was never the actual culprit. That has been found and the issue is, indeed, caused by exactly what KingLemming has said - the mod in question is mucking about in the OreDictionary during PostInit.

Issue History

Date Modified Username Field Change
2017-03-11 23:14 dshadowwolf New Issue
2017-03-12 01:35 Chocohead Note Added: 0005095
2017-03-12 09:23 Morpheus1101 Note Added: 0005096
2017-03-12 09:27 Morpheus1101 Note Edited: 0005096 View Revisions
2017-03-12 13:37 dshadowwolf Note Added: 0005099
2017-03-12 14:19 Chocohead Note Added: 0005100
2017-03-12 22:37 Chocohead Status new => resolved
2017-03-12 22:37 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-03-12 22:37 Chocohead Resolution open => no change required
2017-03-12 22:37 Chocohead Assigned To => Chocohead
2017-03-13 07:04 dshadowwolf Note Added: 0005102